### Class

# GUsb BosDescriptor

unstable since: 1.0

#### Description

    final class GUsb.BosDescriptor : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### g_usb_bos_descriptor_get_capability

Gets the BOS descriptor capability.

since: 0.4.0

###### g_usb_bos_descriptor_get_extra

Gets any extra data from the BOS descriptor.

since: 0.4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct GUsbBosDescriptorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.